Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JDialogOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.WindowOperator
                              |
                              +--org.netbeans.jemmy.operators.DialogOperator
                                    |
                                    +--org.netbeans.jemmy.operators.JDialogOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JDialogOperator
extends DialogOperator

Timeouts used:
DialogWaiter.WaitDialogTimeout - time to wait dialog displayed
DialogWaiter.AfterDialogTimeout - time to sleep after dialog has been dispayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JDialogOperator.JDialogFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.DialogOperator
`DialogOperator.DialogByTitleFinder, DialogOperator.DialogFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.DialogOperator
`IS_MODAL_DPROP, IS_RESIZABLE_DPROP, TITLE_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JDialogOperator()` Constructor.
`JDialogOperator(ComponentChooser chooser)` Constructs a JDialogOperator object.
`JDialogOperator(ComponentChooser chooser, int index)` Constructs a JDialogOperator object.
`JDialogOperator(ComponentChooser chooser, int index, Operator env)` Constructs a JDialogOperator object.
`JDialogOperator(int index)` Constructor.
`JDialogOperator(javax.swing.JDialog w)` Constructor.
`JDialogOperator(java.lang.String title)` Constructor.
`JDialogOperator(java.lang.String title, int index)` Constructor.
`JDialogOperator(java.lang.String title, int index, Operator env)` Constructor.
`JDialogOperator(WindowOperator owner)` Constructor.
`JDialogOperator(WindowOperator owner, ComponentChooser chooser)` Constructs a JDialogOperator object.
`JDialogOperator(WindowOperator owner, ComponentChooser chooser, int index)` Constructs a JDialogOperator object.
`JDialogOperator(WindowOperator owner, int index)` Constructor.
`JDialogOperator(WindowOperator owner, java.lang.String title)` Constructor.
`JDialogOperator(WindowOperator owner, java.lang.String title, int index)` Constructor.

Method Summary
`static javax.swing.JDialog` | `findJDialog(ComponentChooser chooser)` Searches a dialog.
`static javax.swing.JDialog` | `findJDialog(ComponentChooser chooser, int index)` Searches an index'th dialog.
`static javax.swing.JDialog` | `findJDialog(java.lang.String title, boolean ce, boolean cc)` Searches a dialog by title.
`static javax.swing.JDialog` | `findJDialog(java.lang.String title, boolean ce, boolean cc, int index)` Searches an index'th dialog by title.
`static javax.swing.JDialog` | `findJDialog(java.awt.Window owner, ComponentChooser chooser)` Searches a dialog between owner's owned windows.
`static javax.swing.JDialog` | `findJDialog(java.awt.Window owner, ComponentChooser chooser, int index)` Searches an index'th dialog between owner's owned windows.
`static javax.swing.JDialog` | `findJDialog(java.awt.Window owner, java.lang.String title, boolean ce, boolean cc)` Searches a dialog by title between owner's owned windows.
`static javax.swing.JDialog` | `findJDialog(java.awt.Window owner, java.lang.String title, boolean ce, boolean cc, int index)` Searches an index'th dialog by title between owner's owned windows.
`javax.accessibility.AccessibleContext` | `getAccessibleContext()` Maps `JDialog.getAccessibleContext()` through queue
`java.awt.Container` | `getContentPane()` Maps `JDialog.getContentPane()` through queue
`int` | `getDefaultCloseOperation()` Maps `JDialog.getDefaultCloseOperation()` through queue
`java.awt.Component` | `getGlassPane()` Maps `JDialog.getGlassPane()` through queue
`javax.swing.JMenuBar` | `getJMenuBar()` Maps `JDialog.getJMenuBar()` through queue
`javax.swing.JLayeredPane` | `getLayeredPane()` Maps `JDialog.getLayeredPane()` through queue
`javax.swing.JRootPane` | `getRootPane()` Maps `JDialog.getRootPane()` through queue
`static java.awt.Dialog` | `getTopModalDialog()` Searhs for modal dialog currently staying on top.
`void` | `setContentPane(java.awt.Container container)` Maps `JDialog.setContentPane(Container)` through queue
`void` | `setDefaultCloseOperation(int i)` Maps `JDialog.setDefaultCloseOperation(int)` through queue
`void` | `setGlassPane(java.awt.Component component)` Maps `JDialog.setGlassPane(Component)` through queue
`void` | `setJMenuBar(javax.swing.JMenuBar jMenuBar)` Maps `JDialog.setJMenuBar(JMenuBar)` through queue
`void` | `setLayeredPane(javax.swing.JLayeredPane jLayeredPane)` Maps `JDialog.setLayeredPane(JLayeredPane)` through queue
`void` | `setLocationRelativeTo(java.awt.Component component)` Maps `JDialog.setLocationRelativeTo(Component)` through queue
`static javax.swing.JDialog` | `waitJDialog(ComponentChooser chooser)` Waits a dialog.
`static javax.swing.JDialog` | `waitJDialog(ComponentChooser chooser, int index)` Waits an index'th dialog.
`protected static javax.swing.JDialog` | `waitJDialog(ComponentChooser chooser, int index, Timeouts timeouts, TestOut output)` A method to be used from subclasses.
`static javax.swing.JDialog` | `waitJDialog(java.lang.String title, boolean ce, boolean cc)` Waits a dialog by title.
`static javax.swing.JDialog` | `waitJDialog(java.lang.String title, boolean ce, boolean cc, int index)` Waits an index'th dialog by title.
`static javax.swing.JDialog` | `waitJDialog(java.awt.Window owner, ComponentChooser chooser)` Waits a dialog between owner's owned windows.
`static javax.swing.JDialog` | `waitJDialog(java.awt.Window owner, ComponentChooser chooser, int index)` Waits an index'th dialog between owner's owned windows.
`protected static javax.swing.JDialog` | `waitJDialog(java.awt.Window owner, ComponentChooser chooser, int index, Timeouts timeouts, TestOut output)` A method to be used from subclasses.
`protected static javax.swing.JDialog` | `waitJDialog(WindowOperator owner, ComponentChooser chooser, int index)` A method to be used from subclasses.
`static javax.swing.JDialog` | `waitJDialog(java.awt.Window owner, java.lang.String title, boolean ce, boolean cc)` Waits a dialog by title between owner's owned windows.
`static javax.swing.JDialog` | `waitJDialog(java.awt.Window owner, java.lang.String title, boolean ce, boolean cc, int index)` Waits an index'th dialog by title between owner's owned windows.

Methods inherited from class org.netbeans.jemmy.operators.DialogOperator
`getDump, getTitle, isModal, isResizable, setModal, setResizable, setTitle, waitDialog, waitDialog, waitDialog, waitTitle`

Methods inherited from class org.netbeans.jemmy.operators.WindowOperator
`activate, addWindowListener, applyResourceBundle, applyResourceBundle, close, copyEnvironment, dispose, findSubWindow, findSubWindow, findWindow, findWindow, findWindow, findWindow, getFocusOwner, getOutput, getOwnedWindows, getOwner, getWarningString, isActive, isFocused, move, pack, removeWindowListener, resize, setOutput, toBack, toFront, waitClosed, waitSubWindow, waitSubWindow, waitWindow, waitWindow, waitWindow, waitWindow, waitWindow, waitWindow, waitWindow`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, getTimeouts, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, setTimeouts, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterXForClick, getCenterY, getCenterYForClick, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDialogOperator

    public JDialogOperator(javax.swing.JDialog w)

  Constructor.
  Parameters:
    `w` - a component

### JDialogOperator

    public JDialogOperator(ComponentChooser chooser,
                           int index,
                           Operator env)

  Constructs a JDialogOperator object.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
    `env` - an operator to copy environment from.

### JDialogOperator

    public JDialogOperator(ComponentChooser chooser,
                           int index)

  Constructs a JDialogOperator object.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JDialogOperator

    public JDialogOperator(ComponentChooser chooser)

  Constructs a JDialogOperator object.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.

### JDialogOperator

    public JDialogOperator(WindowOperator owner,
                           ComponentChooser chooser,
                           int index)

  Constructs a JDialogOperator object.
  Parameters:
    `owner` - window - owner
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JDialogOperator

    public JDialogOperator(WindowOperator owner,
                           ComponentChooser chooser)

  Constructs a JDialogOperator object.
  Parameters:
    `owner` - window - owner
    `chooser` - a component chooser specifying searching criteria.

### JDialogOperator

    public JDialogOperator(WindowOperator owner,
                           java.lang.String title,
                           int index)

  Constructor. Waits for the dialog with "title" subtitle. Uses owner's timeout and output for waiting and to init operator.
  Parameters:
    `owner` - Operator pointing to a window owner.
    `title` - The desired title.
    `index` - Ordinal index. The first dialog has `index` 0.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JDialogOperator

    public JDialogOperator(WindowOperator owner,
                           java.lang.String title)

  Constructor. Waits for the dialog with "title" subtitle. Uses owner's timeout and output for waiting and to init operator.
  Parameters:
    `owner` - Operator pointing to a window owner.
    `title` - The desired title.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JDialogOperator

    public JDialogOperator(WindowOperator owner,
                           int index)

  Constructor. Waits for the index'th dialog between owner's children. Uses owner'th timeout and output for waiting and to init operator.
  Parameters:
    `owner` - Operator pointing to a window owner.
    `index` - Ordinal component index.

### JDialogOperator

    public JDialogOperator(WindowOperator owner)

  Constructor. Waits for the first dialog between owner's children. Uses owner'th timeout and output for waiting and to init operator.
  Parameters:
    `owner` - Operator pointing to a window owner.

### JDialogOperator

    public JDialogOperator(java.lang.String title,
                           int index,
                           Operator env)

  Constructor. Waits for the dialog with "title" subtitle. Constructor can be used in complicated cases when output or timeouts should differ from default.
  Parameters:
    `title` - a window title
    `index` - Ordinal component index.
    `env` - an operator to copy environment from.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JDialogOperator

    public JDialogOperator(java.lang.String title,
                           int index)

  Constructor. Waits for the dialog with "title" subtitle. Uses current timeouts and output values.
  Parameters:
    `title` - a window title
    `index` - Ordinal component index.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`, `JemmyProperties.getCurrentTimeouts()`, `JemmyProperties.getCurrentOutput()`

### JDialogOperator

    public JDialogOperator(java.lang.String title)

  Constructor. Waits for the dialog with "title" subtitle. Uses current timeouts and output values.
  Parameters:
    `title` - a window title
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`, `JemmyProperties.getCurrentTimeouts()`, `JemmyProperties.getCurrentOutput()`

### JDialogOperator

    public JDialogOperator(int index)

  Constructor. Waits for the index'th dialog. Uses current timeout and output for waiting and to init operator.
  Parameters:
    `index` - Ordinal component index.

### JDialogOperator

    public JDialogOperator()

  Constructor. Waits for the first dialog. Uses current timeout and output for waiting and to init operator.

Method Detail

### findJDialog

    public static javax.swing.JDialog findJDialog(ComponentChooser chooser,
                                                  int index)

  Searches an index'th dialog.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Returns:
    JDialog instance or null if component was not found.

### findJDialog

    public static javax.swing.JDialog findJDialog(ComponentChooser chooser)

  Searches a dialog.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JDialog instance or null if component was not found.

### findJDialog

    public static javax.swing.JDialog findJDialog(java.lang.String title,
                                                  boolean ce,
                                                  boolean cc,
                                                  int index)

  Searches an index'th dialog by title.
  Parameters:
    `title` - Dialog title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
    `index` - an index between appropriate ones.
  Returns:
    JDialog instance or null if component was not found.

### findJDialog

    public static javax.swing.JDialog findJDialog(java.lang.String title,
                                                  boolean ce,
                                                  boolean cc)

  Searches a dialog by title.
  Parameters:
    `title` - Dialog title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  Returns:
    JDialog instance or null if component was not found.

### findJDialog

    public static javax.swing.JDialog findJDialog(java.awt.Window owner,
                                                  ComponentChooser chooser,
                                                  int index)

  Searches an index'th dialog between owner's owned windows.
  Parameters:
    `owner` - Window - dialog owner.
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Returns:
    JDialog instance or null if component was not found.

### findJDialog

    public static javax.swing.JDialog findJDialog(java.awt.Window owner,
                                                  ComponentChooser chooser)

  Searches a dialog between owner's owned windows.
  Parameters:
    `owner` - Window - dialog owner.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JDialog instance or null if component was not found.

### findJDialog

    public static javax.swing.JDialog findJDialog(java.awt.Window owner,
                                                  java.lang.String title,
                                                  boolean ce,
                                                  boolean cc,
                                                  int index)

  Searches an index'th dialog by title between owner's owned windows.
  Parameters:
    `owner` - Window - dialog owner.
    `title` - Dialog title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
    `index` - an index between appropriate ones.
  Returns:
    JDialog instance or null if component was not found.

### findJDialog

    public static javax.swing.JDialog findJDialog(java.awt.Window owner,
                                                  java.lang.String title,
                                                  boolean ce,
                                                  boolean cc)

  Searches a dialog by title between owner's owned windows.
  Parameters:
    `owner` - Window - dialog owner.
    `title` - Dialog title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  Returns:
    JDialog instance or null if component was not found.

### waitJDialog

    public static javax.swing.JDialog waitJDialog(ComponentChooser chooser,
                                                  int index)

  Waits an index'th dialog.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Returns:
    JDialog instance or null if component was not found.

### waitJDialog

    public static javax.swing.JDialog waitJDialog(ComponentChooser chooser)

  Waits a dialog.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JDialog instance or null if component was not found.

### waitJDialog

    public static javax.swing.JDialog waitJDialog(java.lang.String title,
                                                  boolean ce,
                                                  boolean cc,
                                                  int index)

  Waits an index'th dialog by title.
  Parameters:
    `title` - Dialog title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
    `index` - an index between appropriate ones.
  Returns:
    JDialog instance or null if component was not found.

### waitJDialog

    public static javax.swing.JDialog waitJDialog(java.lang.String title,
                                                  boolean ce,
                                                  boolean cc)

  Waits a dialog by title.
  Parameters:
    `title` - Dialog title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  Returns:
    JDialog instance or null if component was not found.

### waitJDialog

    public static javax.swing.JDialog waitJDialog(java.awt.Window owner,
                                                  ComponentChooser chooser,
                                                  int index)

  Waits an index'th dialog between owner's owned windows.
  Parameters:
    `owner` - Window - dialog owner.
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Returns:
    JDialog instance or null if component was not found.

### waitJDialog

    public static javax.swing.JDialog waitJDialog(java.awt.Window owner,
                                                  ComponentChooser chooser)

  Waits a dialog between owner's owned windows.
  Parameters:
    `owner` - Window - dialog owner.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JDialog instance or null if component was not found.

### waitJDialog

    public static javax.swing.JDialog waitJDialog(java.awt.Window owner,
                                                  java.lang.String title,
                                                  boolean ce,
                                                  boolean cc,
                                                  int index)

  Waits an index'th dialog by title between owner's owned windows.
  Parameters:
    `owner` - Window - dialog owner.
    `title` - Dialog title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
    `index` - an index between appropriate ones.
  Returns:
    JDialog instance or null if component was not found.

### waitJDialog

    public static javax.swing.JDialog waitJDialog(java.awt.Window owner,
                                                  java.lang.String title,
                                                  boolean ce,
                                                  boolean cc)

  Waits a dialog by title between owner's owned windows.
  Parameters:
    `owner` - Window - dialog owner.
    `title` - Dialog title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  Returns:
    JDialog instance or null if component was not found.

### getTopModalDialog

    public static java.awt.Dialog getTopModalDialog()

  Searhs for modal dialog currently staying on top.
  Returns:
    dialog or null if no modal dialog is currently displayed.

### getAccessibleContext

    public javax.accessibility.AccessibleContext getAccessibleContext()

  Maps `JDialog.getAccessibleContext()` through queue

### getContentPane

    public java.awt.Container getContentPane()

  Maps `JDialog.getContentPane()` through queue

### getDefaultCloseOperation

    public int getDefaultCloseOperation()

  Maps `JDialog.getDefaultCloseOperation()` through queue

### getGlassPane

    public java.awt.Component getGlassPane()

  Maps `JDialog.getGlassPane()` through queue

### getJMenuBar

    public javax.swing.JMenuBar getJMenuBar()

  Maps `JDialog.getJMenuBar()` through queue

### getLayeredPane

    public javax.swing.JLayeredPane getLayeredPane()

  Maps `JDialog.getLayeredPane()` through queue

### getRootPane

    public javax.swing.JRootPane getRootPane()

  Maps `JDialog.getRootPane()` through queue

### setContentPane

    public void setContentPane(java.awt.Container container)

  Maps `JDialog.setContentPane(Container)` through queue

### setDefaultCloseOperation

    public void setDefaultCloseOperation(int i)

  Maps `JDialog.setDefaultCloseOperation(int)` through queue

### setGlassPane

    public void setGlassPane(java.awt.Component component)

  Maps `JDialog.setGlassPane(Component)` through queue

### setJMenuBar

    public void setJMenuBar(javax.swing.JMenuBar jMenuBar)

  Maps `JDialog.setJMenuBar(JMenuBar)` through queue

### setLayeredPane

    public void setLayeredPane(javax.swing.JLayeredPane jLayeredPane)

  Maps `JDialog.setLayeredPane(JLayeredPane)` through queue

### setLocationRelativeTo

    public void setLocationRelativeTo(java.awt.Component component)

  Maps `JDialog.setLocationRelativeTo(Component)` through queue

### waitJDialog

    protected static javax.swing.JDialog waitJDialog(ComponentChooser chooser,
                                                     int index,
                                                     Timeouts timeouts,
                                                     TestOut output)

  A method to be used from subclasses. Uses timeouts and output passed as parameters during the waiting.
  Parameters:
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
    `timeouts` - timeouts to be used during the waiting.
    `output` - an output to be used during the waiting.
  Returns:
    Component instance or null if component was not found.

### waitJDialog

    protected static javax.swing.JDialog waitJDialog(WindowOperator owner,
                                                     ComponentChooser chooser,
                                                     int index)

  A method to be used from subclasses. Uses `owner`'s timeouts and output during the waiting.
  Parameters:
    `owner` - a window - dialog owner.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    Component instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### waitJDialog

    protected static javax.swing.JDialog waitJDialog(java.awt.Window owner,
                                                     ComponentChooser chooser,
                                                     int index,
                                                     Timeouts timeouts,
                                                     TestOut output)

  A method to be used from subclasses. Uses timeouts and output passed as parameters during the waiting.
  Parameters:
    `owner` - a window - dialog owner.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
    `timeouts` - timeouts to be used during the waiting.
    `output` - an output to be used during the waiting.
  Returns:
    Component instance or null if component was not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD